Bug 301181 - Note widget text is not editable through doc window
Summary: Note widget text is not editable through doc window
Status: RESOLVED FIXED
Alias: None
Product: umbrello
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Unspecified
: NOR normal (vote)
Target Milestone: ---
Assignee: Umbrello Development Group
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-04 21:07 UTC by Ralf Habacker
Modified: 2013-11-06 17:16 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.9.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf Habacker 2012-06-04 21:07:09 UTC
Several widgets are editable on the document windows by selecting the related widget. 
This does not work for note widgets



Reproducible: Always

Steps to Reproduce:
1. create class 
2. enter doc into doc window (documentation is saved in class) 
3. create note widget 
4. open properties and add doc 



Actual Results:  
note widget documentation is not shown and is not editable in documentation window


Expected Results:  
note widget documentation is shown and is editable in documentation window
Comment 1 Ralf Habacker 2012-06-05 05:05:58 UTC
An additional note: In the documentation windows one can enter documentation for the note widget, which looks to be stored in the note widget (It is displayed after first selecting another widget and then selecting back the note widget) but in fact it is lost after save and reloading of the xmi file.  This will lead to bad user experience, which will also be fixed when displaying the note widget content in the doc window.
Comment 2 Ralf Habacker 2012-06-07 21:35:23 UTC
SVN commit 1298924 by habacker:

Made note widget text editable through doc window.
This also fixes doc window related inconsistences after selecting note widgets.


 M  +1 -22     notewidget.cpp  
 M  +0 -3      notewidget.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1298924
Comment 3 Ralf Habacker 2013-11-06 17:16:05 UTC
apply fixed bug from 4.9.0 changelog